CS 1.6 не стартует

Нативные и в Wine/Cedega - проблемы, настройка, обсуждение

Модератор: Hoblin

Аватара пользователя
RudHess
Сообщения: 6
ОС: Win7

CS 1.6 не стартует

Сообщение RudHess » 04.09.2019 14:16

Всем привет, хочу поиграть в контру 1.6 на Linux MX-18.3 x64. Скачал первый клиент из поиска, сделал всё по инструкциям:

Код: Выделить всё

sudo apt-get install gcc-multilib
sudo apt install libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libgtk2.0-0:i386 libnss3:i386 libfontconfig1:i386 libopenal1:i386
Скачал эти пакеты

Код: Выделить всё

https://launchpadlibrarian.net/201289903/libgcrypt11_1.5.3-2ubuntu4.2_i386.deb
http://fr.archive.ubuntu.com/ubuntu/pool/main/libp/libpng/libpng12-0_1.2.54-1ubuntu1_i386.deb
При запуске вылетает ошибка

Код: Выделить всё

This application requires either the GL_EXT_texture_compression_s3tc, or the GL_EXT_texture_compression_dxt1 + GL_ANGLE_texture_compression_dxt3 + GL_ANGLE_texture_compression_dxt5 OpenGL extensions. Please install S3TC texture support.
Как её поправить? Способ, описанный на страницу клиента, не помог.
Ради интереса перепробовал все сборки для линукса [ссылка удалена] - ничего не изменилось.
Последний раз редактировалось /dev/random 04.09.2019 14:24, всего редактировалось 1 раз.
Причина: удалил явно спамерскую ссылку на сайт со сборками
Спасибо сказали:

Аватара пользователя
RudHess
Сообщения: 6
ОС: Win7

Re: CS 1.6 не стартует

Сообщение RudHess » 26.09.2019 15:27

Хоть вы и удалили ссылку, проблему я так и не смог решить. Авось кто-нибудь тоже попробовал бы скачать и установить оттуда, мб совместно бы пришли к истине.
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1526
ОС: Fedora 30

Re: CS 1.6 не стартует

Сообщение Vascom » 27.09.2019 07:55

Установи либу с поддержкой этих форматов сжатия текстур.
Спасибо сказали:

Аватара пользователя
RudHess
Сообщения: 6
ОС: Win7

Re: CS 1.6 не стартует

Сообщение RudHess » 30.09.2019 11:33

Vascom писал:
27.09.2019 07:55
Установи либу с поддержкой этих форматов сжатия текстур.
Окей, как домой доеду и установлю, отпишусь. И ещё момент - выяснил, что в скаченной мною сборке уже встроен патч какой-то для винды [тут была ссылка на патч для работы в винде 10, 8, 7, оформленный в виде экзешника]... мб он и и мешает?
Последний раз редактировалось /dev/random 30.09.2019 13:28, всего редактировалось 1 раз.
Причина: см. выше
Спасибо сказали: